/* :ts=4
 * definitions internal to the header modules (hdr*.c)
 */

#ifdef REALSTDC
#  undef REALSTDC
#endif

#ifdef __STDC__
#  if __STDC__ >= 1		/* microsoft, etc. brain-damage */
#    define REALSTDC	/* truth in advertising: really ANSI */
#  endif				/* __STDC__ < 1 */
#endif					/* __STDC__ */

/*
 * using const seemed like a good idea at the time.  then i discovered
 * const-poisoning.
 */

#ifdef AZTEC_C
# undef CONST
# if __VERSION < 500
#  define CONST		/* const */
#  define DUMB		/* compiler can't handle "offsetof()" macro */
# else
#  define CONST		const
#  define REALSTDC	/* truth in advertising: really ANSI */
# endif
#endif

#ifdef LATTICE		/* Still true under v5.05??? */
# undef CONST
# define CONST		/* const */
# define DUMB		/* compiler can't handle "offsetof()" macro */
#endif

#ifndef DEFDIST
#  define DEFDIST "world"		/* default Distribution: */
#endif
#define DEFMSGID ""		/* must be empty string or contain whitespace */

struct hdrdef {
	CONST char *hdrnm;	/* ascii name */
	unsigned hdrlen;	/* STRLEN(hdrnm) */
	int hdroff;		/* offset into struct header */
};
typedef struct hdrdef *hdrlist[];

extern CONST struct hdrdef pathhdr, xrefhdr;
extern CONST struct hdrdef *parsehdrs[], *hdrvilest[];

extern boolean headdebug;
